%define libxfont %mklibname xfont 1
Name: libxfont
Summary:  X font Library
Version: 1.2.7
%define subrel 2
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfont-%{version}.tar.bz2
Patch1: libxfont-1.1.0-freetype_module_pic.patch
Patch2: libXfont.diff 
Patch3: cve-2008-0006.patch
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: libfontenc-devel >= 1.0.1
BuildRequires: freetype2-devel >= 2.1.10
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
BuildRequires: x11-xtrans-devel >= 1.0.0

%description
X font Library

#-----------------------------------------------------------

%package -n %{libxfont}
Summary:  X font Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libxfont}
X font Library

#-----------------------------------------------------------

%package -n %{libxfont}-devel
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libxfont} = %{version}
Requires: x11-proto-devel >= 1.0.0
Provides: libxfont-devel = %{version}-%{release}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{libxfont}-devel
Development files for %{name}

%pre -n %{libxfont}-devel
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{libxfont}-devel
%defattr(-,root,root)
%{_libdir}/libXfont.so
%{_libdir}/libXfont.la
%{_libdir}/pkgconfig/xfont.pc
%dir %{_includedir}/X11/fonts
%{_includedir}/X11/fonts/*

#-----------------------------------------------------------

%package -n %{libxfont}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{libxfont}-devel = %{version}
Provides: libxfont-static-devel = %{version}-%{release}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{libxfont}-static-devel
Static development files for %{name}

%files -n %{libxfont}-static-devel
%defattr(-,root,root)
%{_libdir}/libXfont.a

#-----------------------------------------------------------

%prep
%setup -q -n libXfont-%{version}
%ifnarch %{ix86}
%patch1 -p1 -b .pic
%endif
%patch2 -p1 -b .cve-2007-1351-1352
%patch3 -p1 -b .cve-2008-0006

%build
# needed for libxfont-1.1.0-freetype_module_pic.patch
automake
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -n %{libxfont}
%defattr(-,root,root)
%{_libdir}/libXfont.so.1
%{_libdir}/libXfont.so.1.4.1


%changelog
* Tue Jan 22 2008 Vincent Danen <vdanen@mandriva.com> 1.2.7-1.2mdv2007.1
- P3: securiy fix for CVE-2008-0006

* Tue Apr 10 2007 Vincent Danen <vdanen@mandriva.com> 1.2.7-1.1mdv2007.1
- P2: security fix for CVE-2007-1351,1352

* Mon Feb 05 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.2.7-1mdv2007.0
+ Revision: 116402
- new upstream version: 1.2.7

* Tue Nov 14 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.2-1mdv2007.1
+ Revision: 84142
- new release
- kill patches 0, 2 & 3 (merged upstream)

* Tue Aug 29 2006 Gustavo Pichorim Boiko <boiko@mandriva.com> 1.1.0-4mdv2007.0
+ Revision: 58697
- Fix a buffer overflow when reading bad pcf files (#24627)
- adding a patch for using -fPIC for non-x86
- rebuild to fix cooker uploading
- new upstream release: 1.1.0 (X11R7.1)
- added a patch fixing compilation with freetype 2.2
  (it seems there are still problems to be fixed, but in most cases it works)
- increment release
- fixed more dependencies
- Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

